package com.hai.goods.model;

import com.hai.entity.GoodsDetail;
import com.hai.entity.GoodsSku;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

public class GoodsModel extends GoodsDetail {

    private BigDecimal price;

    private BigDecimal originalPrice;


    private Boolean whetherMultiple;

    private List<GoodsSku> goodsSkus;


    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getOriginalPrice() {
        return originalPrice;
    }

    public void setOriginalPrice(BigDecimal originalPrice) {
        this.originalPrice = originalPrice;
    }

    public Boolean getWhetherMultiple() {
        return whetherMultiple;
    }

    public void setWhetherMultiple(Boolean whetherMultiple) {
        this.whetherMultiple = whetherMultiple;
    }

    public List<GoodsSku> getGoodsSkus() {
        return goodsSkus;
    }

    public void setGoodsSkus(List<GoodsSku> goodsSkus) {
        this.goodsSkus = goodsSkus;
    }
}
